package cn.stylefeng.guns.zjxl.model;

import com.fasterxml.jackson.annotation.JsonSetter;

import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

/***
 * @ClassName: ZjxlBanner
 * @Description:
 * @Auther: shi kejing
 * @Date: 2020/10/30 17:24
 */
@Entity
@Table(name = "zjxl_banner")
public class ZjxlBanner {

    private String id;

    private String name;

    private String image;

    private Integer type;

    private String typeUrl;

    private Integer sort;

    private Integer isLine;

    public ZjxlBanner(String id, String name, String image, Integer type, String typeUrl, Integer sort, Integer isLine) {
        this.id = id;
        this.name = name;
        this.image = image;
        this.type = type;
        this.typeUrl = typeUrl;
        this.sort = sort;
        this.isLine = isLine;
    }

    public ZjxlBanner() {
        super();
    }

    @Id
    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name == null ? null : name.trim();
    }

    public String getImage() {
        return image;
    }

    public void setImage(String image) {
        this.image = image == null ? null : image.trim();
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public String getTypeUrl() {
        return typeUrl;
    }

    public void setTypeUrl(String typeUrl) {
        this.typeUrl = typeUrl == null ? null : typeUrl.trim();
    }

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

    public Integer getIsLine() {
        return isLine;
    }

    public void setIsLine(Integer isLine) {
        this.isLine = isLine;
    }
}
