package cn.stylefeng.guns.zjxl.service;

import cn.stylefeng.guns.zjxl.dao.ZjxlCompanyCaseDao;
import cn.stylefeng.guns.zjxl.model.ZjxlCompanyCase;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;

import java.util.Optional;

/***
 * @ClassName: ZjxlCompanyCaseService
 * @Description:
 * @Auther: shi kejing
 * @Date: 2020/11/2 9:10
 */
@Component
@Transactional(rollbackFor = Exception.class)
public class ZjxlCompanyCaseService {
    @Autowired
    private ZjxlCompanyCaseDao companyCaseDao;

    @Autowired
    JdbcTemplate jdbcTemplate;

    public ZjxlCompanyCase findById(String id){
        return companyCaseDao.findById(id);
    }
}
